package com.sf.kafka.util;

package ..deTemp.1744121613772;

import org.apache.kafka.clients.producer.Callback;
import org.apache.kafka.clients.producer.RecordMetadata;
import org.apache.log4j.Logger;

public class AsyncCallBack implements Callback {
  private static Logger logger = Logger.getLogger(com.sf.kafka.util.AsyncCallBack.class);
  
  private long startTime;
  
  private long key;
  
  private String topic;
  
  private String message;
  
  public AsyncCallBack(long startTime, long key, String topic, String message) {
    this.startTime = startTime;
    this.key = key;
    this.topic = topic;
    this.message = message;
  }
  
  public void onCompletion(RecordMetadata metadata, Exception exception) {
    long elapsedTime = System.currentTimeMillis() - this.startTime;
    if (metadata != null) {
      logger.debug(String.format("sent to partition(%d),  offset(%d) in %d ms,call back message:\n%s", new Object[] { Integer.valueOf(metadata.partition()), Long.valueOf(metadata.offset()), Long.valueOf(elapsedTime), this.message }));
    } else if (exception != null) {
      logger.error("The Exception occurred.", exception);
    } 
  }
}
